Page MenuHomePhabricator

Use line charts when breaking down a column chart in Wikistats2
Closed, ResolvedPublic

Description

A long time ago we agreed with Erik Zachte and among the team that we'd use line charts for timeseries breakdowns.
Even if the un-broken-down chart is of column type. Otherwise the column chart can become more difficult to read:

Event Timeline

mforns created this task.Mar 8 2018, 11:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2018, 11:16 AM
mforns moved this task from Incoming to Mentoring on the Analytics board.Mar 8 2018, 6:05 PM
mforns moved this task from Mentoring to Incoming on the Analytics board.Mar 8 2018, 6:08 PM
fdans moved this task from Incoming to Backlog (Later) on the Analytics board.Mar 8 2018, 6:27 PM
Milimetric triaged this task as Normal priority.Apr 23 2018, 4:43 PM
Milimetric raised the priority of this task from Normal to High.
Milimetric moved this task from Backlog (Later) to Wikistats Beta on the Analytics board.

@mforns & I were discussing this in out weekly review meeting that showing a popup just over the Change Chart selector dropdown saying switch to 'Line Chart' for ease of read/visibility.

This can be slightly tricky as we would need to work out a logic to show a popup only for difficult to read (very dense) bar charts.

Milimetric lowered the priority of this task from High to Low.Sep 18 2018, 1:44 PM
Milimetric assigned this task to mforns.Apr 1 2019, 4:37 PM
Milimetric raised the priority of this task from Low to High.
Milimetric added a subscriber: Milimetric.

warning: if this is not fun, reassign to dan or defer to after-beta

mforns closed this task as Resolved.Jun 24 2019, 4:28 PM

Closing because now the user can choose the chart type anytime.